package cn.axzo.msg.center.inside.notices.annotation;

import java.lang.annotation.*;

/**
 * 重复提交校验
 *
 * @author
 * @date 2020/7/2
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RepeatSubCheck {
  /**
   * 默认2秒 单位毫秒
   *
   * @return
   */
  long value() default 2000;

  /**
   * 是否加锁,同时只有一人可提交数据.否则每个人同时只能提交一次
   *
   * @return
   */
  boolean unique() default false;

  /**
   * 支持spEl表达式,自定义key,如果存在自定义key,刚使用自定义key unique则无效
   *
   * @return
   */
  String spElKey() default "";

  /**
   * 是否包含参数
   *
   * @return
   */
  boolean containParams() default false;
}
